@echo off
if not "%1"=="" goto convert
set volume=1.0
echo ACK sound conversion script
echo.
echo This script will convert sounds in the "in" folder, 
echo and create RAW sound files in the "out" folder.
echo Note that the filenames must not have any spaces!  
echo This would be a good time to give them their final names, 
echo for example rename the file to "57-fightmusic.mp3"
echo before converting it.
echo.
echo This script will only convert files if the .RAW file
echo is not already present.  For example, if you already
echo have "53-burp.raw" in "out", then it won't re-convert
echo "53-burp.wav" again until you delete the .RAW file.
echo.
echo Enter the volume level to use (enter 1.0 to leave it
echo alone, higher to amplify, lower to silence)
echo.
set /p volume="Volume: "

for %%I in (in\*.*) do call convert "%%I"
echo.
echo Conversion process complete.  Press any key to quit.
echo.
pause > nul
goto end
:convert
if exist out\%~n1.RAW goto skip

echo.
echo Converting %~n1%~x1 to %~n1.RAW ...
echo.
if /i not "%~x1"==".MP3" goto notmp3

lame --decode %1 out\%~n1.wav > nul
sox out\%~n1.wav -r 11025 -c 1 -b -S -v %volume% -s out\%~n1.RAW polyphase
if not exist out\%~n1.RAW sox out\%~n1.wav -r 11025 -c 1 -b -S -v %volume% -s out\%~n1.RAW
goto cleanup

:notmp3
sox %1 -r 11025 -c 1 -b -S -v %volume% -s out\%~n1.RAW polyphase
if not exist out\%~n1.RAW sox %1 -r 11025 -c 1 -b -S -v %volume% -s out\%~n1.RAW

:cleanup
if exist out\%~n1.wav del out\%~n1.wav

echo Conversion complete.
echo.
goto end

:skip

echo.
echo Skipping %~n1%~x1 because %~n1.RAW already exists.
echo.

:end